commit:     e03caca6042abe04a3053ba9f5319ccbadfe5365
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 31 09:31:30 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 31 09:44:07 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e03caca6

sys-devel/distcc: Fix tests

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sys-devel/distcc/distcc-3.3.3-r1.ebuild | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/sys-devel/distcc/distcc-3.3.3-r1.ebuild 
b/sys-devel/distcc/distcc-3.3.3-r1.ebuild
index fd9f3fafc19..d7992e1b301 100644
--- a/sys-devel/distcc/distcc-3.3.3-r1.ebuild
+++ b/sys-devel/distcc/distcc-3.3.3-r1.ebuild
@@ -17,8 +17,6 @@ SLOT="0"
 KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc 
x86"
 IUSE="gnome gssapi gtk hardened ipv6 selinux xinetd zeroconf"
 
-RESTRICT="test"
-
 CDEPEND="${PYTHON_DEPS}
        dev-libs/popt
        gnome? (
@@ -70,6 +68,9 @@ src_prepare() {
                -e "s:@libdir@:/usr/lib:" \
                "${FILESDIR}/distcc-config" > "${T}/distcc-config" || die
 
+       # TODO: gdb tests fail due to gdb failing to find .c file
+       sed -i -e '/Gdb.*Case,/d' test/testdistcc.py || die
+
        hprefixify update-distcc-symlinks.py src/{serve,daemon}.c
        python_fix_shebang update-distcc-symlinks.py "${T}/distcc-config"
        eautoreconf
@@ -89,6 +90,13 @@ src_configure() {
        econf "${myconf[@]}"
 }
 
+src_test() {
+       # sandbox breaks some tests, and hangs some too
+       # retest once #590084 is fixed
+       local -x SANDBOX_ON=0
+       emake -j1 check
+}
+
 src_install() {
        # override GZIP_BIN to stop it from compressing manpages
        emake DESTDIR="${D}" GZIP_BIN=false install

Reply via email to